#
# spec file for package texstudio
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           texstudio
Version:        2.10.2
Release:        4.3
Summary:        LaTeX Editor
License:        GPL-2.0
Group:          Productivity/Publishing/TeX/Frontends
Url:            http://texstudio.sf.net
Source0:        http://downloads.sourceforge.net/texstudio/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
%if 0%{?suse_version} <= 1320
BuildRequires:  libpoppler-qt4-devel
BuildRequires:  libqt4-devel
%else 
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(poppler-qt5)
%endif
Requires:       hunspell
Requires:       texlive-latex
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TeXstudio is a program based on texmaker, that integrates many tools needed
to develop documents with LaTeX, in just one application. Using its editor
you can write your documents with the help of interactive spell checking,
syntax highlighting, automatically code completion and more.

%prep
%setup -q -n %{name}%{version}

%build
%if 0%{?suse_version} <= 1320
qmake QMAKE_CXXFLAGS="%optflags -fno-strict-aliasing" CONFIG-=debug texstudio.pro
%else
qmake-qt5 QMAKE_CXXFLAGS="%optflags -fno-strict-aliasing" CONFIG-=debug texstudio.pro
%endif

make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

rm -f %{buildroot}%{_datadir}/texstudio/{AUTHORS,COPYING,CHANGELOG.txt}
%fdupes -s %{buildroot}%{_datadir}/texstudio/

%files
%defattr(-,root,root)
%doc utilities/AUTHORS utilities/COPYING utilities/manual/CHANGELOG.txt
%{_bindir}/texstudio
%{_datadir}/texstudio/
%{_datadir}/applications/texstudio.desktop
%{_datadir}/icons/hicolor/scalable/apps/texstudio.svg
%dir %{_datadir}/appdata
%{_datadir}/appdata/texstudio.appdata.xml

%changelog
* Sun Sep 20 2015 lorddarthfener@gmail.com
- Update to version 2.10.2
  * new and improved LaTeX parser
  * improved search results window
  * open password protected pdfs
  * improved UI scaling
  * temporary highlight target text of go to definition
  * bugfixes
* Thu Apr 30 2015 dmitry_r@opensuse.org
- Update to version 2.9.4
  * bugfix release, see included CHANGELOG.txt for details
- Build with Qt5 for openSUSE > 13.2
* Sat Mar 14 2015 dmitry_r@opensuse.org
- Update to version 2.9.0
  * link overlays for urls
  * close editor tab by pressing middle mouse button
  * support optional filename argument in txs:///view-pdf-internal
  * add "expand/collapse all documents" to context menu of structure
  * add tabulary support
  * windowed pdf viewer now supports --no-focus argument
  * improved detection of label name for "Insert \ref to Next Label"
  * improved context detection for preview
  * improved search for texdoc location
  * improved log parsing including support for LaTeX3 warnings and errors
  * resize with soft line warp: keep vertical cursor position constant
  * support .tikz files (treated like .tex files)
  * bugfixes
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Update to version 2.8.8, mostly bugfixes, see CHANGELOG.txt
- Drop texstudio-correct-doc-location.patch
* Fri Jun 20 2014 dmitry_r@opensuse.org
- Update to version 2.8.0
  * completion and syntax check on keyval options, e.g.
    \includegraphics (graphicx!)
  * search and replace over several documents improved
  * improved parser for log files (better detection of filenames)
  * todo-style commands (e.g. \todo{}) are added to the list of todos
  * the keyboard modifier key for the context menu (spellcheck
    suppression) is configurable via texstudio.ini
    "Editor/ContextMenuKeyboardModifiers"
  * improved auto-hide toolbars feature in embedded viewer
  * users can overwrite the default language definitions and add own ones
  * makeglossaries support
  * allow quoted filenames in include-like commands to support
    filenames and directories containing spaces
  * updated LaTeX reference manual
  * several bugfixes
* Fri Apr  4 2014 dmitry_r@opensuse.org
- Update to version 2.7.0
  * added Edit -> Text Operations (To Lowercase / To Uppercase / To Titlecase)
  * added list of recent sessions
  * speedup of saving for large documents
  * added recognition in filetree for import subimport importfrom
    and subimportfrom (Thanks to Steven Vandekerckhove)
  * added button to stop a running compilation
  * the dictionary search path can now contain of multiple directories
  * Dictionaries in the OpenOffice/LibreOffice Extension format
    (*.oxt) can now be imported
  * Updated the latex reference manual to to a recent version
  * new option for maximum image tooltip width
  * new option "Reference commands in context menu"
  * new options for additional search paths in editor logic
  * new option for automatic encoding detection: make latex and
    character based detection selectable separately
  * new options for pdf highlight color and duration
  * find dialog: search in all loaded documents i.e. also in hidden
  * improved synchonization PDF -> source
  * support "%% !BIB = biber" syntax for compatibility with TeXShop
    and TeXWorks
  * added several new cwl files
  * several bugfixes
- Set correct documentation location
  * texstudio-correct-doc-location.patch
* Wed Jun 12 2013 jsundermeyer@sf.net
- release (2.6.0)
* Fri Mar 29 2013 jsundermeyer@sf.net
- fix potential crash (2.5.2)
* Wed Dec  5 2012 jsundermeyer@sf.net
- bug fixes (2.5.2)
* Sat Dec  1 2012 mailaender@opensuse.org
- spec file cleanup, fixed some RPMlint warnings
* Wed Nov 21 2012 benito@benibela.de
- update to version 2.5.1
* Sun Oct 28 2012 benito@benibela.de
- update to version 2.5
* Fri Aug 31 2012 benito@benibela.de
- update to version 2.4
* Mon Feb  6 2012 benito@benibela.de
- update to version 2.3
* Wed Jul 20 2011 benito@benibela.de
- initial release of version 2.2
